/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


Main();


/**
 * Fonction principale
 * Appelée au chargement de la page
 * 
 */
function Main()
{
    console.log("Main");

    // création du module AngularJS         
    var oModule = angular.module("AppliAngularJS", []);

    // déclaration des contrôleurs
    oModule.controller("MainControler", MainControler) 
      .controller("ViewControler", ViewControler)
      .constant('domain','http://www.programmation-facile.com')
      .constant('api','/dev/api/prod/')
      .service('oUrls', ServiceApi);

  

}


/**
 * Création d'un service API
 * Renvoie un objet avec la propriété apiUrl
 *  
 */
function ServiceApi(domain, api)
{
    // création de l'url de l'api
    this.apiUrl = domain+api;
}


/**
 * Déclaration des variables des vues
 * 
 * @param {[type]} $scope [description]
 */
function ViewControler($scope, domain) 
{ 
    $scope.pageTitle = "Utilisation d'AngularJS du domaine :"+domain; 
} 
     

/**
 * Déclaration des variables nécessaires dans la zone gérée par AngularJS
 * 
 * @param {[type]} $scope [description]
 */
function MainControler($scope, oUrls, api) 
{
    // représentation du modèle - les données
    $scope.user = { name: "Matthieu", site: "Développement Facile" }; 
    $scope.title = "Application Développement Facile api : "+api; 

    $scope.url = oUrls.apiUrl;
} 
 
